<div class="rfs-login-box">
    <div class="rfs-login-box__logo">
        <div class="rfs-login-box__text">
            <h1 class="rfs-header">VaporNet</h1>
            <p class="rfs-sub-header">aesthetics<br>&<br>thiccness</p>
        </div>
        <span clasS="rfs-login-box__user-count">Current bois: {{userService.userCount}}</span>
    </div>
    <div class="rfs-login-box__sign-log">
        <form class="rfs-login-box__log-form" [formGroup]="logForm" (ngSubmit)="onSubmit()">
            <h2 class="rfs-login-box__form-header">Come on in!</h2>
            <div class="rfs-form-group">
                <label class="rfs-form-group__label" for="email">Email</label>
                <input class="rfs-form-group__input" id="email" formControlName="email" type="email" required>
            </div>
            <div class="rfs-form-group">
                <label class="rfs-form-group__label" for="password">Password</label>
                <input class="rfs-form-group__input" id="password" formControlName="password" type="password"
                    required>
            </div>
            <button class="rfs-bttn rfs-bttn--log" type="submit">Log in</button>
        </form>
        <div class="rfs-login-box__register">
            <p class="rfs-login-box__question">Don't have an account yet?</p>
            <button class="rfs-bttn rfs-bttn--sign" (click)="showDialog()">Sign up</button>
        </div>
    </div>
</div>
<div class="rfs-message-box" id="message-box">
    <p class="rfs-message-box__msg" id="box-msg">HE THICC</p>
    <span class="rfs-message-box__close" id="msg-box-close" (click)="hideBox()">❌</span>
</div>
<p-dialog [(visible)]="display" styleClass="rfs-register-dialog">
    <p-header class="rfs-register-dialog__header">Sign up</p-header>
    <form class="rfs-register-dialog__register-form" [formGroup]="registerForm" (ngSubmit)="onRegister()">
        <div class="rfs-form-group rfs-form-group--sign-up">
            <label class="rfs-form-group__label" for="username">Username</label>
            <input class="rfs-form-group__input" id="username" formControlName="userName" type="text" required>
        </div>
        <div class="rfs-form-group rfs-form-group--sign-up">
            <label class="rfs-form-group__label" for="email">Email</label>
            <input class="rfs-form-group__input" id="email" formControlName="email" type="email" required>
        </div>
        <div class="rfs-form-group rfs-form-group--sign-up">
            <label class="rfs-form-group__label" for="password">Password</label>
            <input class="rfs-form-group__input" id="password" formControlName="password" type="password" required>
        </div>
        <div class="rfs-form-group rfs-form-group--sign-up">
            <label class="rfs-form-group__label" for="phone">Phone</label>
            <input class="rfs-form-group__input" id="phone" formControlName="phone" type="text" required>
        </div>
        <div class="rfs-form-group rfs-form-group--sign-up">
            <label class="rfs-form-group__label" for="zip-code">Zip Code</label>
            <input class="rfs-form-group__input" id="zip-code" formControlName="zipCode" type="number" required>
        </div>
        <div class="rfs-form-group rfs-form-group--sign-up">
            <label class="rfs-form-group__label" for="country">Country</label>
            <input class="rfs-form-group__input" id="country" formControlName="country" type="text" required>
        </div>
        <button class="rfs-bttn rfs-bttn--register" type="submit">Register</button>
    </form>
</p-dialog>